
/**
 * Title:        DEA<p>
 * Description:  Simulation eines determinitischen endlichen Automaten<p>
 * Copyright:    Copyright (c) heljanic<p>
 * Company:      <p>
 * @author heljanic
 * @version 1.0
 */
package dea;
import java.io.Serializable;

public class Zustand implements Serializable {
  public int[] indices;
  public boolean accepted = false;

  public Zustand( int length ) {
    indices = new int[length];
  }

    /** Umwandeln eines Zustands in einen String der Form z0z1z2...
  * @param zustand Der auszuwertende Zustand
  * @param anzahlZ Wieviele Grundzustnde der NEA besitzt
  * @return Einen String der Form z0z1...zn, generiert aus
  * der binren Zahl des bergebenen Zustands
  */
 public static String buildZustand(int zustand,int anzahlZ) {
    String rv="";
    int i=0;
    int restZ=0;
    i=zustand;
    // System.err.println("Eingangszustand = "+i);
    if (zustand==0) return rv = "err";
    for(int k=0;k<anzahlZ;k++) {
   	 	restZ = zustand%2;
			if (zustand>0){
       	if (restZ==1) {
        	 rv = rv +"z"+k;
       	}
      }
      zustand = zustand/2;
    }
    return rv;
  }

}